org.apache.commons.jelly.tags.core

## Class ThreadTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.core.ThreadTag

All Implemented Interfaces:
  Tag

    public class ThreadTag
    extends TagSupport

A tag that spawns the contained script in a separate thread

Author:
  Vinay Chandran

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`ThreadTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setFile(java.lang.String name)` Set the file which is generated from the output
`void` `setName(java.lang.String name)` Sets the name of the thread.
`void` `setXmlOutput(XMLOutput xmlOutput)` Sets the destination of output

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadTag

    public ThreadTag()

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### setName

    public void setName(java.lang.String name)

Sets the name of the thread.

Parameters:
  `name` - The name to set

#### setXmlOutput

    public void setXmlOutput(XMLOutput xmlOutput)

Sets the destination of output

#### setFile

    public void setFile(java.lang.String name)
                 throws java.io.IOException

Set the file which is generated from the output

Parameters:
  `name` - The output file name
Throws:
  `java.io.IOException`